#!/bin/bash
# weedeater.mod.sh
# -----------------
# Weeds out annoying useless entries, taking them from $CONFDIR/weed.list. The
# format of weed.list is very straightforward -- put one regexp match rule 
# per line. Blank lines and lines starting with "#" will be ignored.
#
# Copyright (C) 2001-2002 by Duke University
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
# 02111-1307, USA.
#
# $Id: weedeater.mod.sh,v 1.5 2002/02/13 22:28:41 icon Exp $
#
# @author  Konstantin Riabitsev <icon@phy.duke.edu> ($Author: icon $)
# @version $Date: 2002/02/13 22:28:41 $
#

egrep -v "^#" $CONFDIR/weed.list | egrep -v "^$" > $TMPPREFIX.weed.list
grep -f $TMPPREFIX.weed.list $LOGCAT > $LOGFILTER
